ISOs suddenly won't play

Discussion in 'PSP - Hacking & Homebrew' started by CompC, Feb 22, 2012.

Feb 22, 2012

ISOs suddenly won't play by CompC at 11:28 PM (1,147 Views / 0 Likes) 10 replies

  1. CompC
    OP

    Member CompC GBAtemp Fan

    Joined:
    May 28, 2009
    Messages:
    345
    Country:
    United States
    I don't really know very much about hacked PSPs, my friend set mine up for me a while ago. Then I learned more about everything but it's been a while since I last used my PSP and I pretty much forgot everything. :/

    Anyway, ISOs and CSOs won't play. I'm on a PSP-1000 and the firmware is 5.5 GEN-D3. When I try to open a game, it just says "The game could not be started. (80020148)". I can't seem to get anything to work. Can anyone help?

    Emulators work (and so does homebrew like Cave Story) but just not CSOs and ISOs. I don't remember changing anything… I just picked up my PSP after not touching it for a few months, so I could play Kingdom Hearts again.

    Thanks.


    Also, should I update to 6.something? My friend set up my PSP over a year ago and said 6.whatever just makes it annoying. Has anything changed since then? Is updating safe, should I update, and if so, how?
     
  2. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Push Select on the XMB and bring up the VSH menu. Change the No UMD mode to the Sony np9660 driver.
     
  3. CompC
    OP

    Member CompC GBAtemp Fan

    Joined:
    May 28, 2009
    Messages:
    345
    Country:
    United States
    Nope, that didn't work. I still get the same error.
     
  4. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    If you're specfically talking about Kingdom Hearts it won't work because your firmware is out of date. You didn't actually list which games you were erroring on so the UMD Driver was a general fix. If it's only newer games being problematic and not EVERY ISO, then you need to update. Follow Rydian's Hacking guide.
     
  5. CompC
    OP

    Member CompC GBAtemp Fan

    Joined:
    May 28, 2009
    Messages:
    345
    Country:
    United States
    But I've played Kingdom Hearts before. It wasn't the same ISO, but I've tried multiple ISOs from different sources and a few different games and they're all giving me this problem.

    In the past I played the English version of Birth by Sleep and part of the Japanese Final Mix with an English patch. Other games don't work anymore, either, though. It's not just Kingdom Hearts.
     
  6. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    The ISO you played before was probably patched.

    What's the oldest game you have that won't load. Have you tried both ISO Drivers?
     
  7. CompC
    OP

    Member CompC GBAtemp Fan

    Joined:
    May 28, 2009
    Messages:
    345
    Country:
    United States
    Well when I said "other games" I guess I was just assuming all other games wouldn't work, from the two others I have.

    Two versions of Birth by Sleep Final Mix (Japanese clean ISO and English patched ISO) won't work, Dissidia won't work, and the Tetris PSP mini doesn't work.



    I kind of want to just unhack it somehow and hack it again so I can start fresh, maybe on 6.6 (since that seems to be what I can go up to) unless that's a bad idea…


    Also, I'm not sure what you mean by both ISO drivers, but I've tried every option for UMD Mode and none of them work.
     
  8. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Just follow Rydian's hacking guide to update to 6.60 PRO B10. That should solve things.
     
  9. CompC
    OP

    Member CompC GBAtemp Fan

    Joined:
    May 28, 2009
    Messages:
    345
    Country:
    United States
    Okay, I'll try that. The guide has options for 6.20 permanent and 6.60 temporary… and I should go to the temporary one? 6.60?
     
  10. DaggerV

    Member DaggerV Archmagi of the Emerald Moon

    Joined:
    Dec 3, 2009
    Messages:
    932
    Country:
    United States
    I prefer using the temps due to ease of access.
     
  11. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    6.20 can stay perm if you don't apply the final patch.
     

Share This Page